org.keycloak.saml.processing.core.parsers.saml.protocol

## Class SAMLStatusResponseTypeParser<T extends StatusResponseType>

- java.lang.Object
- - org.keycloak.saml.common.parsers.AbstractStaxParser<T,SAMLProtocolQNames>
  - - org.keycloak.saml.processing.core.parsers.saml.protocol.AbstractStaxSamlProtocolParser<T>
    - - org.keycloak.saml.processing.core.parsers.saml.protocol.SAMLStatusResponseTypeParser<T>

- All Implemented Interfaces:
    StaxParser
  Direct Known Subclasses:
    SAMLArtifactResponseParser, SAMLResponseParser, SAMLSloResponseParser

      public abstract class SAMLStatusResponseTypeParser<T extends StatusResponseType>
      extends AbstractStaxSamlProtocolParser<T>

  Base Class for all Response Type parsing for SAML2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `VERSION_2_0`

    - ### Fields inherited from class org.keycloak.saml.processing.core.parsers.saml.protocol.AbstractStaxSamlProtocolParser

      `LOOKUP`

    - ### Fields inherited from class org.keycloak.saml.common.parsers.AbstractStaxParser

      `expectedStartElement, LOGGER`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SAMLStatusResponseTypeParser(SAMLProtocolQNames expectedStartElement)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `parseBaseAttributes(StartElement startElement, T response)` Parse the attributes that are common to all SAML Response Types

    - ### Methods inherited from class org.keycloak.saml.processing.core.parsers.saml.protocol.AbstractStaxSamlProtocolParser

      `getElementFromName`

    - ### Methods inherited from class org.keycloak.saml.common.parsers.AbstractStaxParser

      `instantiateElement, isUnknownElement, parse, processSubElement, validateStartElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION_2_0

          protected static final String VERSION_2_0

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SAMLStatusResponseTypeParser

          protected SAMLStatusResponseTypeParser(SAMLProtocolQNames expectedStartElement)

  - ### Method Detail

    - #### parseBaseAttributes

          protected void parseBaseAttributes(StartElement startElement,
                                             T response)
                                      throws ParsingException

      Parse the attributes that are common to all SAML Response Types
      Parameters:
        `startElement` -
        `response` -
      Throws:
        `ParsingException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.